View Issue Details

IDProjectCategoryView StatusLast Update
0002964MediaMonkey (current)Playerpublic2010-10-13 23:15
Reporterjiri 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version4.0 
Summary0002964: Add 'Stop after current' command
DescriptionAs reported in http://www.mediamonkey.com/forum/viewtopic.php?t=16754, we could add some special 'stop' commands, particularly 'stop after current track'. It could be on pop-up menu of Stop button (or also Play button, since some skins don't have stop button?)
TagsNo tags attached.
Fixed in build1301

Relationships

parent of 0006543 assignedLudek Stop After Current behavior 
related to 0006016 closedLudek Player.StopAfterCurrent Property GET/LET is missing 
Not all the children of this issue are yet resolved or closed.

Activities

jiri

2007-03-29 16:51

administrator   ~0008920

Assigning to Rusty for a review, you can assign to Petr then.

rusty

2007-03-29 18:22

administrator   ~0008922

Sounds reasonable. So the way this would work is:

1) user right-clicks on the play button and sees the following context-menu options:

Stop
Stop after current

2) user clicks menu bar > player and
Stop after current appears after Stop

petr

2008-08-25 19:35

developer   ~0014478

Fixed in 1185

stephen_platt

2008-12-04 03:35

developer   ~0015352

Verified 1199

Bex

2009-01-07 18:25

updater   ~0016059

As raised here:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=35669
It is expected that when using "Stop After Current" the player should advance to the next track, if any, instead of remain on the current track.

Teknojunky

2009-01-07 18:31

updater   ~0016060

also, there does not appear visual indication to cancel the stop.

suggest: have the stop after current menu/button be displayed as toggle-able on/off.

petr

2010-01-07 00:20

developer   ~0019911

Fixed in 1301

peke

2010-10-13 23:15

developer   ~0020757

Verified 1315